package com.yunzhi.marketing.service;

import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.service.IService;
import com.yunzhi.marketing.base.ResponseBean;
import com.yunzhi.marketing.entity.TaPerson;
import com.yunzhi.marketing.entity.TaShareChildRecord;
import com.yunzhi.marketing.excel.ShareChildRecordExport;

import java.util.List;

/**
 * <p>
 *   服务类
 * </p>
 *
 * @author jobob
 * @since 2019-10-18
 */
public interface ITaShareChildRecordService extends IService<TaShareChildRecord> {
    IPage<TaShareChildRecord> getList(Integer pageNum, Integer pageSize, Integer groupActivityId, Integer status, Integer recordId, Integer orgId);
    ResponseBean validateRule(TaShareChildRecord taShareChildRecord);
    Integer getShareRecord(Integer recordId, Integer status);
    List<ShareChildRecordExport> getShareRecordExportList(Integer pageCode, Integer pageSize, Integer recordId, Integer status, Integer groupActivityId);
	void updateActivityProcessToEnd();

	/**
	 * 根据拼团活动id更新参团者拼团失败
	 * @param groupActivityId
	 */
	void updateActivityProcessToEndByGroupActivityId(Integer groupActivityId);

	/**
	 * 微信端成为团员
	 *
	 * @param taShareChildRecord
	 * @param orgId
	 * @param person
	 * @return
	 */
	ResponseBean addChildRecord(TaShareChildRecord taShareChildRecord, Integer orgId, TaPerson person);
}
